### Function

# ICalGLib error_set_error_state

since: 1.0

#### Declaration [src]

    void
    i_cal_error_set_error_state (
      ICalErrorEnum error,
      ICalErrorState state
    )

#### Description [src]

Sets the state to the corresponding error in the library.

Available since: 1.0

#### Parameters

`error`

  Type: `ICalErrorEnum`

  The error enum.

`state`

  Type: `ICalErrorState`

  The error state.